[server]
port = 3001

[mysql_local]
host = "localhost"
port = 3306
user = "root"
password = "1234567890"
name = "goods_library"

[mysql]
host = "43.139.72.196"
port = 13307
user = "webprod"
password = "J1XivNvAcR21}pA6Cysm.E29"
name = "mall_prod"

max_idle_conns = 25
max_open_conns = 100
# 旧配置（保留注释以便回退）：
# conn_max_lifetime = 1   # 小时
# conn_max_idle_time = 45 # 分钟

# 新配置，单位：分钟
conn_max_lifetime_minutes = 60 # 分钟
conn_max_idle_minutes = 45     # 分钟

# COS配置
[cossdk]
bucket_url = "https://media-mall-prod-1259811287.cos.ap-guangzhou.myqcloud.com"
secret_id = "AKIDOkvMzXt58zw5RrCLI5jLo8JKBtRp7FC7"
secret_key = "4xkSfgqCXoAQZgaO1Tn3A5oMvSsDNk3D"
base_path = "media/images/goods_library"
